<?php
class TOROFLIX_Admin {
    private $theme_name;
    private $version;
    //private $build_menupage;
    //private $normalize;
    private $helpers;
    public function __construct( $theme_name, $version ) {
        $this->theme_name     = $theme_name;
        $this->version        = $version;
        //$this->build_menupage = new TOROFLIX_Build_Menupage();
        //$this->normalize      = new TOROFLIX_Normalize;
    }
    public function enqueue_styles( $hook ) {
        #Styles General Admin
        wp_enqueue_style( 'peli_wordpress_admin_css', TOROFLIX_DIR_URI . 'admin/css/toroflix-wordpress-global.css', array(), $this->version, 'all' );
        #Style for page custom admin
        if( $hook == 'toplevel_page_' ) {
        }
    }
    public function enqueue_scripts( $hook ) {
        /**
         * Condicional para controlar la carga de los archivos
         * solamente en la página del plugin
         */
        if( $hook == 'toplevel_page_' ) {
            wp_enqueue_media();
        }
    }
    /*ADD MENU PAGE ADMIN*/
    /**
     * Añade los Menus para mostrarlos
     * en el front end
     *  L Menu Header 
     *  L Menu Mobile
     */
    public function toroflix_register_menus() {
        register_nav_menus
        (
            array(
                'header' => __( 'Menu Header', 'toroflix' ),
            )
        );
    }
}
